package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAV3 extends MwfRequest<MWFAV3, MWFAV3Response> {

    @Parameter(name = "Kombinace_KEY")
    MWFAV3 kombinaceKEY(Long kombinaceKEY);
    @Parameter(name = "NacistPoplatkyFlag")
    MWFAV3 nacistPoplatkyFlag(Long nacistPoplatkyFlag);
    @Parameter(name = "VariantaTyp_Filtr")
    MWFAV3 variantaTypFiltr(String variantaTypFiltr);
    @Parameter(name = "ZadostOnlineFlag")
    MWFAV3 zadostOnlineFlag(String zadostOnlineFlag);
    @Parameter(name = "Zadost_KEY")
    MWFAV3 zadostKEY(Long zadostKEY);
}
